## libgweather 40.0

=== debian/changelog ===
libgweather (40.0-5build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:12:33 +0100

libgweather (40.0-5) unstable; urgency=medium

  * Team upload
  * d/rules: Collect spelling of glade_catalog Meson options.
    Unimplemented options are considered to be an error by Meson 0.60.
    (Closes: #998546)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 10:53:04 +0000

libgweather (40.0-4) unstable; urgency=medium

  * Team upload

  [ Laurent Bigonville ]
  * debian/watch: Update to match the new version scheme

  [ Jeremy Bicha ]
  * debian/watch: Watch for stable releases

  [ Simon McVittie ]
  * d/control.in: Increase various Breaks versions for transition #993934.
    We'll get a compatible set of versions more reliably if we require
    a sourceful upload for each affected package.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Sep 2021 20:51:23 +0100

libgweather (40.0-3) experimental; urgency=medium

  * debian/control: Lower the breaks on an installable gnome-shell version.
    While libgweather 40 really breaks gnome-shell prior to 40, we can lower
    the breaks so that we can upload a fixed gnome 3.38 version in order to
    be able to upload one working with libgweather 40 without having to wait
    for mutter-8 to be out of NEW queue.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 May 2021 12:20:45 +0200

libgweather (40.0-2) experimental; urgency=medium

  * debian/control:
    - build-depend on python3-gi and gir1.2-glib-2.0.
      They're used to generate the locations variant file.
    - Sort dependencies alphabetically

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 May 2021 20:28:54 +0200

libgweather (40.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release (LP: #1918044)
    - Correct value of GWEATHER_PROVIDER_ALL to include OWM
    - Translation updates: be, kk, uk
    - Give better diagnostics on test failure (no functional change)
  * Drop patches that came from upstream

  [ Marco Trevisan (Treviño) ]
  * New upstream release (LP: #1916827, LP: #1265588):
    - This version contains a number of API and ABI changes that applications
      will need to be modified for, including:
      + An application-id as well as contact information must be provided for
        every application to use online weather services. For GApplication
        based applications, the application ID is prefilled.
      + All online weather providers are disabled by default, applications
        should enable those that it has verified it can follow the terms of
        service for. Note, for example, the requirement to subscribe to the
        met.no API users mailing-list.
      + A lot of the getter functions for the location database now return
        references to objects which the application will need to handle.
        Applications that use JavaScript or Python bindings should not require
        special handling or this change.
  * debian/libgweather-3-16.install: Install files in libgweather library path.
    It contains locations data in binary form for now (that are
    arch-dependent)
  * debian/libgweather-3-16.symbols: Add new symbols
  * debian: Switch to debhelper 13, and simplify rules accordingly
  * debian/control: Add breaks on rdependent packages that need to be updated.
    This version of libgweather requires some updates on its dependencies,
    even if there was no soname change (and no formal ABI break) we're
    actually breaking the ABI at runtime, so various dependencies will need
    to adapt or be rebuilt.
    In particular e-d-s, gnome-panel and gnome-applets only need to be
    rebuilt against, while gnome-shell, gnome-calendar, gnome-weather and
    wmforecast needs new versions.
    Others, didn't require any change (such as gnome-maps) or may only require
    a rebuild to avoid leaks (as g-s-d, evolution or gnome-initial-setup), but
    this update won't really break them.
  * debian/patches: Cherry-pick upstream locations and translations updates
  * debian/control: Update Standards-Version (no change required)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 May 2021 19:22:00 +0200
