=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgweather
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               ca-certificates <!nocheck>,
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-glib-2.0,
               gtk-doc-tools,
               libgeocode-glib-dev,
               libgirepository1.0-dev (>= 0.9.5),
               libgladeui-dev,
               libglib2.0-dev (>= 2.44.0),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.13.5),
               libgtk-3-doc,
               libsoup2.4-dev (>= 2.44.0),
               libxml2-dev (>= 2.6.0),
               libxml2-utils,
               meson (>= 0.50.0),
               pkg-config (>= 0.19),
               python3-gi,
               tzdata (>= 2016g),
               valac (>= 0.20)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/libgweather
Vcs-Git: https://salsa.debian.org/gnome-team/libgweather.git
Homepage: https://wiki.gnome.org/Projects/LibGWeather

Package: libgweather-3-16
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgweather-common (>= 3.5.0)
Breaks: evolution-data-server (<< 3.38.3-2~),
        gnome-applets (<< 3.40.0-5~),
        gnome-calendar (<< 40.0~),
        gnome-panel (<< 3.40.0-3~),
        gnome-shell (<< 40.4-1~),
        gnome-weather (<< 40.0~),
        wmforecast (<< 1.5~)
Description: GWeather shared library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains shared libraries.

Package: libgweather-3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgweather-3-16 (= ${binary:Version}),
         gir1.2-gweather-3.0 (= ${binary:Version}),
         libgeocode-glib-dev,
         libglib2.0-dev (>= 2.35.1),
         libgtk-3-dev (>= 3.0.0),
         libsoup2.4-dev (>= 2.44.0),
         libxml2-dev (>= 2.6.0),
         ${misc:Depends}
Description: GWeather development files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the include files and static library.

Package: libgweather-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GWeather common files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the weather locations.

Package: gir1.2-gweather-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GWeather library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains introspection data for the GWeather library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
